$(function() {
	var colorPostfix="-color", bgPostfix="-bgcolor", imgExtension="png", selectedPlattform='';
	
	$("#about").click(function(){showPlattformTab("About", false)});
	
	$("#divgoogle").show();
	
    $("#plattformLinks img")
        .mouseover(function() { 
	        if(selectedPlattform !== this.id){
	            $(this).attr("src", $(this).attr("src").match(/[^\.]+/) + bgPostfix + "." + imgExtension);
	        }
        })
        .mouseout(function() {
        	if(selectedPlattform !== this.id){
	            $(this).attr("src", $(this).attr("src").replace(bgPostfix, ""));
	        }
        })
        .click(function(){
        	showPlattformTab(this.id, true);
        });
        
    function showPlattformTab(tabId, toggle){
    	selectedPlattform = tabId;
    	
    	//reset all images in the menu to default
        $("#plattformLinks img").each(function(){$(this).attr("src", $(this).attr("src").replace(bgPostfix, ""))});

		if(toggle){
    	    //highlight selected plattform
	       	console.log($('#' + tabId));
        	$("#" + tabId).attr("src", $("#" + tabId).attr("src").match(/[^\.]+/) + bgPostfix + "." + imgExtension);
       	}
        
        //hide content from old plattform
    	$(".plattform").hide();
    	
    	//show content from new plattform
		$("#div" + tabId).show();
    }
});